Subject: bug#12447: 24.1.50; Stuck in garbage collection on OS X

From: Harald Hanche-Olsen <[email-masked]>
Date: Sat, 15 Sep 2012 13:07:10 +0200 (CEST)

[Jan Djärv <[email-masked]> (2012-09-15 09:55:55 UTC)]

> I think this is probably the same bug as in #12326.  I.e. a timer gets added over and over again.
> Please consider how to fix the original problem as described in http://debbugs.gnu.org/cgi/bugreport.cgi?bug=12326#11 before removing the break statement.

Thanks for the pointer. There are certainly timers involved in the code that runs when I get the hangs; I'll review it and see if that is where the problem lies.

However, I am not sure exactly what to look for. Or, more precisely, what is the undefined behaviour in js2-mode that you complain about it bug 12326?

On a side note, I see that only a few timer functions are described in the elisp manual. It appears one has to read timer.el to find out how timers work at a lower level. Or did I miss something?

- Harald